From 4fb26c805a76e0496f4c4e847c011f32e1fe3739 Mon Sep 17 00:00:00 2001
From: Masahiko Sawada <sawada.mshk@gmail.com>
Date: Mon, 18 Nov 2024 15:11:08 -0800
Subject: [PATCH v1] Include necessary header files in radixtree.h.

When #include'ing radix_tree.h with RT_SHMEM, it could happen to raise
copiler errors due to missing the declarations of types and
functions.

Reviewed-by:
Discussion: https://postgr.es/m/
---
 src/include/lib/radixtree.h | 2 ++
 1 file changed, 2 insertions(+)

diff --git a/src/include/lib/radixtree.h b/src/include/lib/radixtree.h
index 88bf695e3f3..d6443c84a41 100644
--- a/src/include/lib/radixtree.h
+++ b/src/include/lib/radixtree.h
@@ -153,11 +153,13 @@
 
 #include "postgres.h"
 
+#include "miscadmin.h"
 #include "nodes/bitmapset.h"
 #include "port/pg_bitutils.h"
 #include "port/simd.h"
 #include "utils/dsa.h"
 #include "utils/memutils.h"
+#include "storage/lwlock.h"
 
 /* helpers */
 #define RT_MAKE_PREFIX(a) CppConcat(a,_)
-- 
2.43.5

